discuz X3.1 推荐升级的5个理由与不推荐升级的3个理由

原创 小菜  2015-09-01 14:49:23  阅读 10133 次 评论 1 条

discuz已经发布了新的版本discuz X3.1,在康盛称之为云时代的版本。
这个版本在源码看来只是window 8.0 与window 8.1的改编,实际也没太大的改观。很多人说他的云功能确实是很实用啊,这个就见仁见智了,所谓的云功能不外乎就是一些防灌水之类的,实际意义并不大,算不上里程碑之作。换句话,就算没有了这功能你网站功能并不确实一样的可以运行。
但是既然升级了,就是有他的理由了。必然有他改进的地方,下面乐云源码就说说自己的看法。
值得推荐的5大理由:
说是5个理由,其实就是一个理由,总结就是云功能。
下面就引用官方给出的一些数据吧。

云验证码
全新的云验证码基于强大的反破解算法,改变了以往验证码“单一、被动”的特征,变得更加“多变、主动”,极大地增加了验证码的破解难度
000118urtgic6fqzqdtj31.jpg.thumb[1].jpg
000118o31tg1twooplfmll.jpg.thumb[1].jpg
老实说,这个确实是非常有效的,我们经常遇到一些机器人注册,发广告,发外链,还有一大串的鸟文,我们被他们折腾的焦头烂额,甚至对它们恨之入骨。还有致命的一个是,discuz的所有验证码都对机器人无效,他们基本都是行至无阻。
之前乐云源码也写了一个怎么防止机器人的:
云验证码可大大的避免机器人来屠版了。这个一大亮点。

云IP库
建立在云端的违规IP库,当用户出现在违规IP库中时,注册,登录以及发布内容时需要输入验证码,为社区的垃圾帖防御增加了第二道屏障
其实归根到底,还是为了避免机器人等的情况。
不过是不是可以提供一个举报IP与IP申诉呢?

超级防水墙
防水墙的升级版,它的“防水”机制更全、处理速度更快。启用后全部升级后极速模式,并增加云端补杀机制,减少漏杀情况,夜间高频时段更智能,做到自动禁言恶意用户,将恶意用户阻挡在论坛之外
其实现在已经是这样的,X3.1估计也差不多了,我在使用过程中没有发现有多大威力,如果他里面没有一些关键词的话一样会遗漏,还有一个,如果过滤规则会导致很多无辜的帖子被误杀的。

帐号保镖
通过“弱密码”检测、异常登录检测、安全登录方式等手段,保护用户的帐号安全,使论坛免受盗号骚扰
这个其实没太大的用处,放出来反而让用户更加的惶恐,最好的办法就是让用户养成习惯定期修改密码。

安全大师
通过检测,主动将存在隐患的设置列出来,方便站长优化设置,避免因后台设置不合理造成论坛被灌水的情况出现
004258xs2221anym0ms6nb.jpg.thumb[1].jpg
不值得推荐的5大理由:
产品周期过段:
一般来说,新版本出来两个月后使用是最为合适的阶段。因为新版本出来后有很多的未知问题都没办法预测到,你也没法预测到。在两个月后,discuz官方一般都会放出修正升级包。所以两个月后使用最为合适。或者至少观望一段时间后看是否有什么大的BUG之类的再决定。

升级后导致无法使用:
不少网友说到,升级后很多的插件已经没办法使用了,用了几百块的购买的插件等于打水漂了。
其实这个问题不是在discuz X3.1上才有的了,每次的版本升级后,都会导致模板、插件不能使用。
需要等了很久才能升级,但是升级前使用的功能岂不是作废了,如果涉及到一些数据,譬如微博突然没了登录了,这个是毁灭性打击的。
有些插件作者基本都不更新维护了,那就基本是灾难了。

导致非正版插件不能使用:
乐云源码提倡使用正版插件,但是有时候也需要体验一些插件的功能,很多时候就有了这个需求。
升级了DZ X3.1后,所有非正版插件就不能使用了,不用通过验证。
并且购买的新的插件听说会删除某些核心文件,放在别的站点是不完整的。
我验证了一下,确实是不行的。至于更多的,大家也可以尝试尝试。

本文地址:https://www.dii123.com/post/155.html
版权声明:本文为原创文章,版权归 小菜 所有,欢迎分享本文,转载请保留出处!

发表评论


表情

评论列表

  1. 小菜
    小菜 【管理员】  @回复

    我接下来的话很重要!一定要看完!在我评论之后会出现两种情况:1、我回过之后没人回了,沉了!这说明这篇文章很有问题,很可能是篇罕见渣文!2、我回过之后,很多人回,火了!呵呵,不要以为是文章好他们才回,那是因为我在!